Skip to content
Myra Online Help Updated · 21 Aug 2026

Updating an SSL/TLS request

Note

algorithm cannot be changed after the request is created; an attempt to change it is rejected with a 400 response. Adding a subject alternative name that is not yet covered by an issued certificate, or changing provider, renewalInterval, or signatureAlgorithm while the request is still being processed, triggers a new asynchronous certificate issuance.

Sends a PUT request to the endpoint /ssl/requests/{id}.

Description

The UpdateSslRequest request updates an existing SSL/TLS request of the organisation, for example to add or remove subject alternative names, to change the provider, or to change the renewal interval.

Requirements

Values of the request: Request-ID {id}

Objects: SslCertRequestVO

Request

To update an SSL/TLS request, add the Request-ID {id} to the path of the request and the object SslCertRequestVO to the body of the request. The following attributes are required:

Attributes Description Values
algorithm The key algorithm used for the certificate.
  • RSA2048
  • RSA4096
  • RSA8192
  • ECDSA256
  • ECDSA384
provider The SSL/TLS provider that issues the certificate.
  • LETS_ENCRYPT
  • SECTIGO
  • DTRUST
subjectAlternativeNames An array of SslCertRequestSanVO objects, each with the attribute name (string), the fully qualified domain name to be covered by the certificate. At least one entry is required, a maximum of 100 entries is allowed. array

The following attributes are optional:

Attributes Description Values
assignments An array of SslCertRequestAssignmentVO objects, each with the attribute subDomainName (string), the subdomain to which the request assigns the resulting certificate. array
sslProviderCredentialsId The ID of the SslProviderCredentials object to be used to issue the certificate. integer
renewalInterval The number of days before expiry of the certificate at which the certificate is renewed. Only available for the providers SECTIGO and DTRUST. integer
signatureAlgorithm The signature algorithm used for the certificate. Only available for the providers SECTIGO and DTRUST.
  • SHA256
  • SHA384
  • SHA512

The following attributes are set by the system and cannot be specified by you: id, status, multiDomain, created, modified.

Example

Example request body:

{
  "algorithm": "RSA2048",
  "provider": "LETS_ENCRYPT",
  "subjectAlternativeNames": [
    {
      "name": "www.example.com"
    }
  ],
  "assignments": [
    {
      "subDomainName": "www.example.com"
    }
  ],
  "sslProviderCredentialsId": 1,
  "renewalInterval": 30,
  "signatureAlgorithm": "SHA256"
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.
404 The request was unsuccessful because the requested resource was not found.